<?php
require_once WD . '/modules/economic/config/economic_invoice_layout_c.php';
require_once WD . '/modules/economic/config/economic_payment_terms_c.php';

use config\economic_invoice_layout_c;
use config\economic_payment_terms_c;
use traits\module_config_t;

class economic_c
{
    use module_config_t;

    public economic_invoice_layout_c $invoice_layout;
    public economic_payment_terms_c $payment_terms;

    public function __construct()
    {
        $this->setupConfig('economic');
        $this->allowUpdate([
            economic_invoice_layout_c::class,
            economic_payment_terms_c::class
        ]);
        $this->invoice_layout = new economic_invoice_layout_c();
        $this->payment_terms = new economic_payment_terms_c();
    }
}